Package ghidra.features.bsim.query.protocol

# Class QueryUpdate

java.lang.Object
ghidra.features.bsim.query.protocol.BSimQuery<ResponseUpdate>
ghidra.features.bsim.query.protocol.QueryUpdate

public class QueryUpdate extends BSimQuery<ResponseUpdate>
Request to update the metadata fields of various ExecutableRecords and FunctionDescriptions within a BSim database. This allows quick updates of metadata fields like executable names, function names, and other descriptive metadata fields, without affecting the main index. ExecutableRecord descriptions will be replaced based on the md5 of the executable, and FunctionDescriptions are replaced based on their address within an identified executable. within an executable.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `DescriptionManager`
  `manage`
  `ResponseUpdate`
  `updateresponse`

  ### Fields inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `name, response`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryUpdate()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildResponseTemplate()`
  `DescriptionManager`
  `getDescriptionManager()`
  `QueryUpdate`
  `getLocalStagingCopy()`
  `void`
  `restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory)`
  `void`
  `saveXml(Writer fwrite)`

  ### Methods inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `clearResponse, execute, getName, getResponse, restoreQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### manage

    public DescriptionManager manage

  - ### updateresponse

    public ResponseUpdate updateresponse

- ## Constructor Details

  - ### QueryUpdate

    public QueryUpdate()

- ## Method Details

  - ### buildResponseTemplate

    public void buildResponseTemplate()
    Overrides:
      `buildResponseTemplate` in class `BSimQuery<ResponseUpdate>`

  - ### getDescriptionManager

    public DescriptionManager getDescriptionManager()
    Overrides:
      `getDescriptionManager` in class `BSimQuery<ResponseUpdate>`

  - ### getLocalStagingCopy

    public QueryUpdate getLocalStagingCopy()
    Overrides:
      `getLocalStagingCopy` in class `BSimQuery<ResponseUpdate>`
    Returns:
      a partial clone of this query suitable for holding local stages of the query via StagingManager

  - ### saveXml

    public void saveXml(Writer fwrite) throws IOException
    Specified by:
      `saveXml` in class `BSimQuery<ResponseUpdate>`
    Throws:
      `IOException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory) throws LSHException
    Specified by:
      `restoreXml` in class `BSimQuery<ResponseUpdate>`
    Throws:
      `LSHException`